Bug 156694 - [maintainer] textproc/scim-kmfl-imengine update (part 1/2): Make SCIM and IBus KMFL IMEngines to share the same keyboards repository
Summary: [maintainer] textproc/scim-kmfl-imengine update (part 1/2): Make SCIM and IBu...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-28 12:30 UTC by Nikola Lečić
Modified: 2011-05-29 14:30 UTC (History)
0 users

See Also:


Attachments
kmfl-shared.repo-20110428.patch (42.31 KB, patch)
2011-04-28 12:30 UTC, Nikola Lečić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Lečić 2011-04-28 12:30:11 UTC
Please process part 2/2 of this update after committing this one because
new port names, pkg-descrs and behaviour will not make sense without it.

LOG:

Overview
--------
 * Patch SCIM KMFL engine (textproc/scim-kmfl-imengine) to use
   the same neutral keyboard repository as textproc/ibus-kmfl does,
   ${LOCALBASE}/share/kmfl/. This approach is similar to m17n (its
   keyboard databases, devel/m17n-db and textproc/m17n-contrib, are
   shared between textproc/scim-m17n and textproc/ibus-m17n). This
   patch also makes both these KMFL engine ports to read ~/.kmfl/
   instead of SCIM-oriented ~/.scim/kmfl/.

 * Patch keyboard ports (7 of them) to install data to the new
   repository, ${LOCALBASE}/share/kmfl/; the keyboard ports are now
   SCIM-only and install to ${LOCALBASE}/share/scim/kmfl/; the part 2/2
   of this update is a repocopy-request to rename all these ports and
   to inform users to move their local KMN/KMFL files.

 * adapt descriptions in other KMFL ports (textproc/kmflcomp,
   textproc/libkmfl);

 * while we are here, do some additional maintenance.

Details
-------
textproc/ibus-kmfl:
 * renamed default.png to default-kmfl.png to avoid conflict with
   textproc/scim-kmfl-imengine (ithey now install files to the same
   place)
 * CPPFLAGS/CONFIGURE_ENV correction
 * adapted pkg-descr

textproc/scim-kmfl-imengine:
 * patched to use ${LOCALBASE}/share/kmfl/ and ~/.kmfl/
 * CPPFLAGS/CONFIGURE_ENV correction
 * corrected wrong MASTER_SITES
 * new SHA256: the file on SF has changed in meantime
 * adapted pkg-descr

textproc/libkmfl:
 * make use of PLIST_DIRSTRY (hence PORTREVISION bump)
 * be precise with LIB_DEPENDS
 * CPPFLAGS/CONFIGURE_ENV correction
 * corrected wrong MASTER_SITES
 * adapted pkg-descr

textproc/kmflcomp:
 * adapted COMMENT, pkg-descr, pkg-message 
 * CPPFLAGS/CONFIGURE_ENV correction
 * the documentation file moved to the new dir on SF, fixed MASTER_SITES

keyboard ports
(textproc/scim-kmfl-european-latin,
 textproc/scim-kmfl-sil-ezra,
 textproc/scim-kmfl-sil-galatia,
 textproc/scim-kmfl-sil-ipa-unicode5,
 textproc/scim-kmfl-sil-panafrican-latin,
 textproc/scim-kmfl-sil-yi,
 textproc/scim-kmfl-varamozhi-malayalam):
 * patched to install to ${LOCALBASE}/share/kmfl/
 * removed runtime dependency on textproc/scim-kmfl/imengine
   (again, mimicking m17-db and m17-contrib)
 * do-install and PLIST adaptations accordingly since ports now can be
   installed without any IMEngine
 * adapted descriptions (COMMENT, pkg-descr)
Comment 1 Nikola Lečić 2011-05-18 22:58:23 UTC
Since repocopy (ports/156695) was done before applying changes from
this PR, the following steps should be done instead:

1. Apply a new patch provided below. It's against 4 platform ports +
   7 newly created textproc/kmfl-* keyboard ports. Please use a new LOG
   (provided below) when committing this new patch.

2. Please delete 7 repocopied keyboard ports:
     scim-kmfl-european-latin
     scim-kmfl-sil-ezra
     scim-kmfl-sil-galatia
     scim-kmfl-sil-ipa-unicode5
     scim-kmfl-sil-panafrican-latin
     scim-kmfl-sil-yi
     scim-kmfl-varamozhi-malayalam

3. Add the following lines to MOVED:

textproc/scim-kmfl-european-latin|textproc/kmfl-european-latin|2011-05-19|KMFL keyboard ports are now platform-independent
textproc/scim-kmfl-sil-ezra|textproc/kmfl-sil-ezra|2011-05-19|KMFL keyboard ports are now platform-independent
textproc/scim-kmfl-sil-galatia|textproc/kmfl-sil-galatia|2011-05-19|KMFL keyboard ports are now platform-independent
textproc/scim-kmfl-sil-ipa-unicode5|textproc/kmfl-sil-ipa-unicode|2011-05-19|KMFL keyboard ports are now platform-independentplatform-independent; changeable Unicode version number dropped
textproc/scim-kmfl-sil-panafrican-latin|textproc/kmfl-sil-panafrican-latin|2011-05-19|KMFL keyboard ports are now platform-independent
textproc/scim-kmfl-sil-yi|textproc/kmfl-sil-yi|2011-05-19|KMFL keyboard ports are now platform-independent
textproc/scim-kmfl-varamozhi-malayalam|textproc/kmfl-varamozhi-malayalam|2011-05-19|KMFL keyboard ports are now platform-independent

4. Please add the following text to UPDATING (feel free to change
   change/correct text and its style if needed):

20110519:
  AFFECTS: Users of KMFL IMEngines and keyboards (textproc/*kmfl*)
  AUTHOR: nikola.lecic@anthesphoria.net

  KMFL keyboard ports are now shared between IBus and SCIM KMFL IMEngines
  (textproc/ibus-kmfl and textproc/scim-kmfl-imengine). Thus, the prefix
  'scim-' is dropped from keyboard ports names.

  Similar to m17n, both engines now search engine-neutral locations,
  ${LOCALBASE}/share/kmfl/ and ~/.kmfl/. Users have to move their local
  keyboard files from ~/.scim/kmfl/ to ~/kmfl/.

LOG
===

Overview
--------
 * Patch SCIM KMFL engine (textproc/scim-kmfl-imengine) to use
   the same neutral keyboard repository as textproc/ibus-kmfl does,
   ${LOCALBASE}/share/kmfl/. This approach is similar to m17n (its
   keyboard databases, devel/m17n-db and textproc/m17n-contrib, are
   shared between textproc/scim-m17n and textproc/ibus-m17n). This
   patch also makes both these KMFL engine ports to read ~/.kmfl/
   instead of SCIM-oriented ~/.scim/kmfl/.
   There is UPDATING text that informs KMFL users about this.

 * Patch keyboard ports (7 of them) to install data to the new
   repository, ${LOCALBASE}/share/kmfl/; the keyboard ports were
   SCIM-only and used to install to ${LOCALBASE}/share/scim/kmfl/.

 * adapt descriptions in other KMFL ports (textproc/kmflcomp,
   textproc/libkmfl);

 * while we are here, do some additional maintenance.

Details
-------
textproc/ibus-kmfl:
 * renamed default.png to default-kmfl.png to avoid conflict with
   textproc/scim-kmfl-imengine (ithey now install files to the same
   place)
 * CPPFLAGS/CONFIGURE_ENV correction
 * adapted pkg-descr

textproc/scim-kmfl-imengine:
 * patched to use ${LOCALBASE}/share/kmfl/ and ~/.kmfl/
 * CPPFLAGS/CONFIGURE_ENV correction
 * corrected wrong MASTER_SITES
 * new SHA256: the file on SF has changed in meantime
 * adapted pkg-descr

textproc/libkmfl:
 * make use of PLIST_DIRSTRY (hence PORTREVISION bump)
 * be precise with LIB_DEPENDS
 * CPPFLAGS/CONFIGURE_ENV correction
 * corrected wrong MASTER_SITES
 * adapted pkg-descr

textproc/kmflcomp:
 * adapted COMMENT, pkg-descr, pkg-message 
 * CPPFLAGS/CONFIGURE_ENV correction
 * the documentation file moved to the new dir on SF, fixed MASTER_SITES

keyboard ports
(textproc/kmfl-european-latin,
 textproc/kmfl-sil-ezra,
 textproc/kmfl-sil-galatia,
 textproc/kmfl-sil-ipa-unicode,
 textproc/kmfl-sil-panafrican-latin,
 textproc/kmfl-sil-yi,
 textproc/kmfl-varamozhi-malayalam):
 * patched to install to ${LOCALBASE}/share/kmfl/
 * removed runtime dependency on textproc/scim-kmfl-imengine
   (again, mimicking m17-db and m17-contrib)
 * do-install and PLIST adaptations accordingly since ports now can be
   installed without any IMEngine
 * adapted descriptions (COMMENT, pkg-descr)

--- kmfl-shared.repo-20110518.patch begins here ---
Index: ibus-kmfl/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/ibus-kmfl/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ibus-kmfl/Makefile	23 Jul 2010 22:07:44 -0000	1.2
+++ ibus-kmfl/Makefile	27 Apr 2011 23:08:15 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	ibus-kmfl
 PORTVERSION=	1.0.3
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	SF/kmfl/${PORTNAME}/${PORTVERSION} \
 		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
@@ -24,8 +25,9 @@
 
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
 
 .if !defined(WITHOUT_NLS)
 USE_GETTEXT=	yes
@@ -36,7 +38,10 @@
 .endif
 
 post-patch:
+	@${CP} ${WRKSRC}/icons/default.png ${WRKSRC}/icons/default-kmfl.png
 	@${REINPLACE_CMD} -e 's|/usr/|${PREFIX}/|g' \
 		${WRKSRC}/src/kmflutil.c ${WRKSRC}/src/kmfl.xml.in.in
+	@${REINPLACE_CMD} -e 's|default\.png|default-kmfl.png|g' \
+		${WRKSRC}/src/kmflutil.c ${WRKSRC}/icons/Makefile.in
 
 .include <bsd.port.mk>
Index: ibus-kmfl/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/ibus-kmfl/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- ibus-kmfl/distinfo	23 Jul 2010 22:07:44 -0000	1.2
+++ ibus-kmfl/distinfo	23 Apr 2011 19:42:15 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/ibus-kmfl-1.0.3.tar.gz) = d98ed94d49ed2019008f7b4dc4a20e6c
 SHA256 (kmfl/ibus-kmfl-1.0.3.tar.gz) = 0befc497090f5d1f379aec333e2363c0c54192203b81fdfd8d102ce229f0af7f
 SIZE (kmfl/ibus-kmfl-1.0.3.tar.gz) = 526025
Index: ibus-kmfl/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/ibus-kmfl/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- ibus-kmfl/pkg-descr	10 Jun 2010 18:30:26 -0000	1.1
+++ ibus-kmfl/pkg-descr	27 Apr 2011 20:41:55 -0000
@@ -14,5 +14,6 @@
 
 Official Tavultesoft repository contains keyboards that cover more
 than 220 languages. Significant number of them are open source.
+The keyboard ports are textproc/kmfl-*.
 
 WWW: http://kmfl.sourceforge.net/
Index: ibus-kmfl/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/textproc/ibus-kmfl/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- ibus-kmfl/pkg-plist	10 Jun 2010 18:30:26 -0000	1.1
+++ ibus-kmfl/pkg-plist	23 Apr 2011 19:29:40 -0000
@@ -1,7 +1,7 @@
 libexec/ibus-engine-kmfl
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/ibus-kmfl.mo
 share/ibus/component/kmfl.xml
-share/kmfl/icons/default.png
+share/kmfl/icons/default-kmfl.png
 share/kmfl/icons/ibus-kmfl.svg
-@dirrm share/kmfl/icons
-@dirrm share/kmfl
+@dirrmtry share/kmfl/icons
+@dirrmtry share/kmfl
Index: scim-kmfl-imengine/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/scim-kmfl-imengine/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- scim-kmfl-imengine/Makefile	4 Dec 2010 07:33:50 -0000	1.15
+++ scim-kmfl-imengine/Makefile	27 Apr 2011 23:36:28 -0000
@@ -7,9 +7,10 @@
 
 PORTNAME=	scim-kmfl-imengine
 PORTVERSION=	0.9.9
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	SF/kmfl/kmfl/${PORTVERSION} \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
@@ -30,8 +31,9 @@
 USE_GETTEXT=	yes
 USE_ICONV=	yes
 USE_LDCONFIG=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
 
 DOCSDIR=	${PREFIX}/share/doc/kmfl/${PORTNAME}
 PORTDOCS=	AUTHORS COPYING ChangeLog
@@ -41,7 +43,7 @@
 pre-patch:
 	@${ECHO_MSG} ---------------------------------------------------------
 	@${ECHO_MSG}   You have SKIM installed. KMFL-SCIM-IMEngine will work
-	@${ECHO_MSG}   and you will be able to use textproc/scim-kmfl-* key-
+	@${ECHO_MSG}   and you will be able to use textproc/kmfl-* key-
 	@${ECHO_MSG}   boards, but KMFL IME does not have SKIM frontend yet.
 	@${ECHO_MSG}   Please refer to the textproc/kmflcomp docs on how to
 	@${ECHO_MSG}   use KMFL keyboards in QT applications.
@@ -55,6 +57,19 @@
 	@${REINPLACE_CMD} \
 		's|/usr/lib|${LOCALBASE}/lib|' \
 		${WRKSRC}/scim_kmfl_imengine_setup/scim_kmfl_imengine_setup.cpp
+	@${REINPLACE_CMD} \
+		's|$$(datadir)/scim/kmfl|$$(datadir)/kmfl|g' \
+		${WRKSRC}/src/Makefile.* \
+		${WRKSRC}/scim_kmfl_imengine_setup/Makefile.*
+	@${REINPLACE_CMD} \
+		's|SCIM_DATADIR="$$datadir/scim"|SCIM_DATADIR="$$datadir"|' \
+		${WRKSRC}/configure.in
+	@${REINPLACE_CMD} \
+		's|"\.scim" SCIM_PATH_DELIM_STRING "kmfl"|".kmfl"|' \
+		${WRKSRC}/scim_kmfl_imengine_setup/scim_kmfl_imengine_setup.cpp
+	@${REINPLACE_CMD} \
+		's|"\.scim" + SCIM_PATH_DELIM_STRING + "kmfl"|".kmfl"|' \
+		${WRKSRC}/src/scim_kmfl_imengine.cpp
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: scim-kmfl-imengine/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/scim-kmfl-imengine/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- scim-kmfl-imengine/distinfo	19 Jun 2010 14:33:54 -0000	1.3
+++ scim-kmfl-imengine/distinfo	22 Apr 2011 13:37:04 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/scim-kmfl-imengine-0.9.9.tar.gz) = 81acd6ed58e0d5f3f52cfa575afa47da
-SHA256 (kmfl/scim-kmfl-imengine-0.9.9.tar.gz) = 22e384b9add2f30e5cce13564cff72f45919be4ede529d4ba6483206e0a92a73
-SIZE (kmfl/scim-kmfl-imengine-0.9.9.tar.gz) = 513455
+SHA256 (kmfl/scim-kmfl-imengine-0.9.9.tar.gz) = cf0b029d54d1468028be2f82a73606152504cacb2f436f65db6dea48d2d460cc
+SIZE (kmfl/scim-kmfl-imengine-0.9.9.tar.gz) = 509576
Index: scim-kmfl-imengine/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/scim-kmfl-imengine/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- scim-kmfl-imengine/pkg-descr	23 Oct 2007 11:38:44 -0000	1.1
+++ scim-kmfl-imengine/pkg-descr	27 Apr 2011 20:42:24 -0000
@@ -12,6 +12,6 @@
 
 Official Tavultesoft repository contains keyboards that cover more
 than 220 languages. Significant number of them are open source.
-Ported keyboards are textproc/scim-kmfl-*.
+The keyboards ports are textproc/kmfl-*.
 
 WWW: http://kmfl.sourceforge.net/
Index: scim-kmfl-imengine/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/textproc/scim-kmfl-imengine/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- scim-kmfl-imengine/pkg-plist	23 Oct 2007 11:38:44 -0000	1.1
+++ scim-kmfl-imengine/pkg-plist	22 Apr 2011 13:37:04 -0000
@@ -4,6 +4,6 @@
 lib/scim-1.0/1.4.0/SetupUI/kmfl_imengine_setup.a
 lib/scim-1.0/1.4.0/SetupUI/kmfl_imengine_setup.la
 lib/scim-1.0/1.4.0/SetupUI/kmfl_imengine_setup.so
-share/scim/kmfl/icons/default.png
-@dirrmtry share/scim/kmfl/icons
-@dirrmtry share/scim/kmfl
+share/kmfl/icons/default.png
+@dirrmtry share/kmfl/icons
+@dirrmtry share/kmfl
Index: scim-kmfl-imengine/files/pkg-message.in
===================================================================
RCS file: /home/ncvs/ports/textproc/scim-kmfl-imengine/files/pkg-message.in,v
retrieving revision 1.1
diff -u -r1.1 pkg-message.in
--- scim-kmfl-imengine/files/pkg-message.in	23 Oct 2007 11:38:44 -0000	1.1
+++ scim-kmfl-imengine/files/pkg-message.in	22 Apr 2011 13:37:03 -0000
@@ -7,6 +7,6 @@
 
     %%PREFIX%%/share/doc/kmfl/kmflcomp/KMFL-Compiler.sxw
 
-  You need textproc/scim-kmfl-* ports in order to use actual keyboards
+  You need textproc/kmfl-* ports in order to use actual keyboards
   through SCIM.
 ------------------------------------------------------------------------
Index: libkmfl/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/libkmfl/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- libkmfl/Makefile	29 Jan 2011 10:22:30 -0000	1.9
+++ libkmfl/Makefile	27 Apr 2011 23:02:20 -0000
@@ -7,20 +7,22 @@
 
 PORTNAME=	libkmfl
 PORTVERSION=	0.9.9
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	SF/kmfl/kmfl/${PORTVERSION} \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
 COMMENT=	An engine to interpret compiled KMFL keyboard tables
 
-LIB_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
+LIB_DEPENDS=	kmflcomp.0:${PORTSDIR}/textproc/kmflcomp
 
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
 
 DOCSDIR=	${PREFIX}/share/doc/kmfl/${PORTNAME}
 PORTDOCS=	AUTHORS COPYING ChangeLog
@@ -30,7 +32,7 @@
 		lib/libkmfl.la \
 		lib/libkmfl.so \
 		lib/libkmfl.so.0
-PLIST_DIRS=	include/kmfl
+PLIST_DIRSTRY=	include/kmfl
 
 post-patch:
 	@${REINPLACE_CMD} \
Index: libkmfl/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/libkmfl/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- libkmfl/pkg-descr	18 Oct 2007 16:05:36 -0000	1.1
+++ libkmfl/pkg-descr	27 Apr 2011 17:32:36 -0000
@@ -1,7 +1,9 @@
-This library provides an engine to interpret compiled
-(textproc/kmflcomp) KMFL keyboard tables written in Keyman keyboard
-language for use with SCIM KMFL IMEngine
-(textproc/scim-kmfl-imengine).
+This library provides an engine to interpret compiled KMFL keyboard
+tables (textproc/kmflcomp) written in Keyman keyboard language.
+
+The current implementation of KMFL uses either the IBus framework (via
+textproc/ibus-kmfl) or the older SCIM framework (via
+textproc/scim-kmfl-imengine) to handle the input method interface to X.
 
 KMFL aims to bring Tavultesoft Keyman functionality to *nix operating
 systems. KMFL is being jointly developed by SIL International
Index: kmflcomp/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmflcomp/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- kmflcomp/Makefile	23 Jul 2010 22:05:52 -0000	1.8
+++ kmflcomp/Makefile	27 Apr 2011 22:57:58 -0000
@@ -8,15 +8,16 @@
 PORTNAME=	kmflcomp
 PORTVERSION=	0.9.9
 CATEGORIES=	textproc
-MASTER_SITES=	SF/kmfl/kmfl/${PORTVERSION} \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
-DISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz \
-		KMFL-Compiler.sxw
+MASTER_SITES=	SF/kmfl/kmfl/${PORTVERSION}:1 \
+		SF/kmfl/kmfl/Documentation:2 \
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/:1,2
+DISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz:1 \
+		KMFL-Compiler.sxw:2
 DIST_SUBDIR=	kmfl
 EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}.tar.gz
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	Compiler of Keyman keyboard sources to use with SCIM KMFL IMEngine
+COMMENT=	Compiler of Keyman KMFL keyboard sources to use with SCIM/IBus
 
 BUILD_DEPENDS=	bison:${PORTSDIR}/devel/bison
 
@@ -24,8 +25,9 @@
 USE_LDCONFIG=	yes
 USE_ICONV=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib -liconv"
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib -liconv
+CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
 
 DOCSDIR=	${PREFIX}/share/doc/kmfl/${PORTNAME}
 DOCS=		${DISTDIR}/${DIST_SUBDIR}/KMFL-Compiler.sxw \
Index: kmflcomp/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmflcomp/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- kmflcomp/distinfo	23 Jul 2010 22:05:52 -0000	1.3
+++ kmflcomp/distinfo	27 Apr 2011 18:01:15 -0000
@@ -1,6 +1,4 @@
-MD5 (kmfl/kmflcomp-0.9.9.tar.gz) = ece7fab3fd378ae93445912b6c90c29d
 SHA256 (kmfl/kmflcomp-0.9.9.tar.gz) = d07fe491ab4bfd6ad1d60a092c382c6e567f44729d406f066d804057ca9f716a
 SIZE (kmfl/kmflcomp-0.9.9.tar.gz) = 365124
-MD5 (kmfl/KMFL-Compiler.sxw) = d9bf9f5a45824354205ce8a4721b807d
 SHA256 (kmfl/KMFL-Compiler.sxw) = dedb0aee0b7d931dff48d0bcd3f9fa5c2c71d4684f9aa53e064df5bfb8b04841
 SIZE (kmfl/KMFL-Compiler.sxw) = 56675
Index: kmflcomp/files/pkg-message.in
===================================================================
RCS file: /home/ncvs/ports/textproc/kmflcomp/files/pkg-message.in,v
retrieving revision 1.1
diff -u -r1.1 pkg-message.in
--- kmflcomp/files/pkg-message.in	18 Oct 2007 12:29:50 -0000	1.1
+++ kmflcomp/files/pkg-message.in	27 Apr 2011 18:22:59 -0000
@@ -14,6 +14,7 @@
 
     http://tavultesoft.com/keymandev/documentation/help/main/guide.php
 
-  You need textproc/scim-kmfl-imengine and textproc/scim-kmfl-* ports
-  in order to use actual keyboards through SCIM.
+  You need textproc/scim-kmfl-imengine to use KMFL keyboards through
+  SCIM, or textproc/ibus-kmfl to use them through IBus. The keyboard
+  ports are textproc/kmfl-*.
 ------------------------------------------------------------------------
Index: kmfl-european-latin/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-european-latin/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- kmfl-european-latin/Makefile	24 Jul 2010 06:43:25 -0000	1.5
+++ kmfl-european-latin/Makefile	18 May 2011 21:26:31 -0000
@@ -4,9 +4,9 @@
 #
 # $FreeBSD$
 
-PORTNAME=	scim-kmfl-european-latin
+PORTNAME=	kmfl-european-latin
 PORTVERSION=	1.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	textproc
 MASTER_SITES=	http://eurolatin.keymankeyboards.com/ \
 		http://anthesphoria.net/FreeBSD/ports/distfiles/
@@ -14,10 +14,9 @@
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	Paneuropean Latin KMFL SCIM IMEngine keyboard covering 42 languages
+COMMENT=	Paneuropean Latin KMFL keyboard covering 42 languages
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 NO_WRKSUBDIR=	yes
 USE_DOS2UNIX=	european.kmn
@@ -26,21 +25,24 @@
 
 DOCSDIR_REL=	share/doc/kmfl/${PORTNAME}
 DOCSDIR=	${PREFIX}/${DOCSDIR_REL}
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
 PORTDOCS=	*
 DOCSLIST=	eurolatin12.pdf european.html licence.txt readme.html \
 	       	welcome.htm
-PLIST_FILES=	${SCIM_KMFL_DIR}/european.kmn \
-		${SCIM_KMFL_ICONS_DIR}/european.bmp \
-		${SCIM_KMFL_ICONS_DIR}/latin.bmp \
-		${SCIM_KMFL_ICONS_DIR}/latin.ico
+PLIST_FILES=	${KMFL_DIR}/european.kmn \
+		${KMFL_ICONS_DIR}/european.bmp \
+		${KMFL_ICONS_DIR}/latin.bmp \
+		${KMFL_ICONS_DIR}/latin.ico
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${KMFL_DIR}
 	${INSTALL_DATA} ${WRKSRC}/*.bmp ${WRKSRC}/*.ico \
-	       ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	       ${LOCALBASE}/${KMFL_ICONS_DIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	for doc in ${DOCSLIST} ; do \
@@ -51,13 +53,13 @@
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Others\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Others\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 .if !defined(NOPORTDOCS)
 	@${ECHO_MSG}
 	@${ECHO_MSG} "  The PDF documentation for use of the European Latin"
 	@${ECHO_MSG} "  Keyboard can be found in:"
-	@${ECHO_MSG} "  ${PREFIX}/share/doc/kmfl/scim-kmfl-european-latin/"
+	@${ECHO_MSG} "  ${PREFIX}/share/doc/kmfl/${PORTNAME}/"
 .endif
 	@${ECHO_MSG} "--------------------------------------------------------"
 
Index: kmfl-european-latin/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-european-latin/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- kmfl-european-latin/distinfo	28 Nov 2009 20:43:52 -0000	1.2
+++ kmfl-european-latin/distinfo	18 May 2011 12:34:05 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/eurolatin-1.2.zip) = 7785b7102296521294eb8c5db7f13a07
 SHA256 (kmfl/eurolatin-1.2.zip) = 9a31983c240d1b3e46474a264e904b69dc3cc058eea25c7185e99af211454a77
 SIZE (kmfl/eurolatin-1.2.zip) = 362966
Index: kmfl-european-latin/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-european-latin/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-european-latin/pkg-descr	16 Jul 2009 17:32:11 -0000	1.1
+++ kmfl-european-latin/pkg-descr	18 May 2011 12:34:05 -0000
@@ -5,8 +5,8 @@
 uses punctuation and letter keys in sequence to access diacritic and
 other letters.
 
-This port installs the keyboard so that it can be used through SCIM
-KMFL IMEngine (textproc/scim-kmfl-imengine).
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
 
 Some of the supported languages include: Afrikaans, Albanian,
 Balearic, Basque, Breton, Catalan, Croatian, Czech, Danish, Dutch,
Index: kmfl-sil-ezra/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ezra/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- kmfl-sil-ezra/Makefile	28 Mar 2010 06:44:27 -0000	1.4
+++ kmfl-sil-ezra/Makefile	18 May 2011 21:27:08 -0000
@@ -4,23 +4,22 @@
 #
 # $FreeBSD$
 
-PORTNAME=	scim-kmfl-sil-ezra
+PORTNAME=	kmfl-sil-ezra
 PORTVERSION=	2.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	textproc
 MASTER_SITES=	http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=EzraSIL251_Src.zip\&filename=/:1 \
 		http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=EzraSIL2.5Keying\&filename=/:2 \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/kmfl/:1,2
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/:1,2
 DISTFILES=	EzraSIL251_Src.zip:1 \
 		Keying+in+Hebrew.pdf:2
 DIST_SUBDIR=	kmfl
 EXTRACT_ONLY=	EzraSIL251_Src.zip
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	SCIM KMFL IMEngine keyboard for Unicode Biblical Hebrew
+COMMENT=	KMFL keyboard for Unicode Biblical Hebrew
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 WRKSRC=		${WRKDIR}/EzraSIL2.51
 USE_DOS2UNIX=	Keyman/EZRAUNI24.KMN
@@ -29,8 +28,8 @@
 
 DOCSDIR_REL=	share/doc/kmfl/${PORTNAME}
 DOCSDIR=	${PREFIX}/${DOCSDIR_REL}
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
 PORTDOCS=	*
 DOCSLIST=	${WRKSRC}/Licenses.txt ${WRKSRC}/README.txt \
@@ -38,14 +37,17 @@
 		${DISTDIR}/${DIST_SUBDIR}/Keying+in+Hebrew.pdf \
 		${WRKSRC}/WordDocs/Simplified\ keyboard\ chart.doc
 
-PLIST_FILES=	${SCIM_KMFL_DIR}/EZRAUNI24.kmn \
-		${SCIM_KMFL_ICONS_DIR}/HEBDISPY.bmp \
-		${SCIM_KMFL_ICONS_DIR}/alef.bmp
+PLIST_FILES=	${KMFL_DIR}/EZRAUNI24.kmn \
+		${KMFL_ICONS_DIR}/HEBDISPY.bmp \
+		${KMFL_ICONS_DIR}/alef.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
 	${CP} -f ${WRKSRC}/Keyman/EZRAUNI24.KMN ${WRKSRC}/Keyman/EZRAUNI24.kmn
-	${INSTALL_DATA} ${WRKSRC}/Keyman/*.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
-	${INSTALL_DATA} ${WRKSRC}/Keyman/*.bmp ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/Keyman/*.kmn ${LOCALBASE}/${KMFL_DIR}
+	${INSTALL_DATA} ${WRKSRC}/Keyman/*.bmp ${LOCALBASE}/${KMFL_ICONS_DIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	for doc in ${DOCSLIST} ; do \
@@ -56,7 +58,7 @@
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Hebrew\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Hebrew\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 .if !defined(NOPORTDOCS)
 	@${ECHO_MSG}
Index: kmfl-sil-ezra/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ezra/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- kmfl-sil-ezra/distinfo	16 Jul 2009 17:33:06 -0000	1.1
+++ kmfl-sil-ezra/distinfo	18 May 2011 12:52:37 -0000
@@ -1,6 +1,4 @@
-MD5 (kmfl/EzraSIL251_Src.zip) = 9c94d51b9dd6ab1b7fb0db7e67d5ed9e
 SHA256 (kmfl/EzraSIL251_Src.zip) = d0818f56c4d0e63b1d947cfef5f7dfec005e771e7d178a7197c12539bce454c4
 SIZE (kmfl/EzraSIL251_Src.zip) = 1030435
-MD5 (kmfl/Keying+in+Hebrew.pdf) = 1817c823ac75e59f57a96ee059263033
 SHA256 (kmfl/Keying+in+Hebrew.pdf) = c034cc1e97cab0e4fc692c2e70e25745f7375e2bd6a7089506e876f66cf5f731
 SIZE (kmfl/Keying+in+Hebrew.pdf) = 89974
Index: kmfl-sil-ezra/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ezra/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-sil-ezra/pkg-descr	16 Jul 2009 17:33:06 -0000	1.1
+++ kmfl-sil-ezra/pkg-descr	18 May 2011 12:52:37 -0000
@@ -2,8 +2,8 @@
 cantillation marks) with Unicode fonts. It is written in Keyman keyboard
 language and developed by SIL Non-Roman Script Initiative (NRSI).
 
-This port installs the keyboard so that it can be used through SCIM KMFL
-IMEngine (textproc/scim-kmfl-imengine).
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
 
 The keyboard is provided under the terms of MIT/X11 License.
 
Index: kmfl-sil-galatia/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-galatia/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- kmfl-sil-galatia/Makefile	28 Mar 2010 06:44:27 -0000	1.4
+++ kmfl-sil-galatia/Makefile	18 May 2011 21:27:25 -0000
@@ -5,9 +5,9 @@
 # $FreeBSD$
 #
 
-PORTNAME=	scim-kmfl-sil-galatia
+PORTNAME=	kmfl-sil-galatia
 PORTVERSION=	1.02
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	textproc
 MASTER_SITES=	http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=GrkPolyComp_Src&filename=/ \
 		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
@@ -15,10 +15,9 @@
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	SCIM KMFL IMEngine Unicode keyboard for typesetting Ancient Greek
+COMMENT=	KMFL Unicode keyboard for typesetting Ancient Greek
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 WRKSRC=		${WRKDIR}/GrkPolyComp_Src
 USE_DOS2UNIX=	GrkPolyComp.KMN
@@ -27,20 +26,23 @@
 
 DOCSDIR_REL=	share/doc/kmfl/${PORTNAME}
 DOCSDIR=	${PREFIX}/${DOCSDIR_REL}
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
 PORTDOCS=	*
 DOCSLIST=	Greek\ Poly\ Comp\ Kbrd\ Layout.pdf \
 		welcome.htm
 
-PLIST_FILES=	${SCIM_KMFL_DIR}/GrkPolyComp.kmn \
-		${SCIM_KMFL_ICONS_DIR}/ALPHA.bmp
+PLIST_FILES=	${KMFL_DIR}/GrkPolyComp.kmn \
+		${KMFL_ICONS_DIR}/ALPHA.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
 	${CP} -f ${WRKSRC}/GrkPolyComp.KMN ${WRKSRC}/GrkPolyComp.kmn
-	${INSTALL_DATA} ${WRKSRC}/GrkPolyComp.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
-	${INSTALL_DATA} ${WRKSRC}/ALPHA.bmp ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/GrkPolyComp.kmn ${LOCALBASE}/${KMFL_DIR}
+	${INSTALL_DATA} ${WRKSRC}/ALPHA.bmp ${LOCALBASE}/${KMFL_ICONS_DIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	for doc in ${DOCSLIST} ; do \
@@ -51,7 +53,7 @@
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Greek\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Greek\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 .if !defined(NOPORTDOCS)
 	@${ECHO_MSG}
Index: kmfl-sil-galatia/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-galatia/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- kmfl-sil-galatia/distinfo	2 Sep 2009 17:26:53 -0000	1.1
+++ kmfl-sil-galatia/distinfo	18 May 2011 12:53:13 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/GrkPolyComp_Src.zip) = 5e7bf6186a3917d796f1abb710bed539
 SHA256 (kmfl/GrkPolyComp_Src.zip) = 59b4ad7f7a31f66a674f1867979baf07ae5143957cec6575e3d1428f5acf66e7
 SIZE (kmfl/GrkPolyComp_Src.zip) = 197829
Index: kmfl-sil-galatia/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-galatia/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-sil-galatia/pkg-descr	2 Sep 2009 17:26:53 -0000	1.1
+++ kmfl-sil-galatia/pkg-descr	18 May 2011 12:53:13 -0000
@@ -2,6 +2,9 @@
 characters. It is written in Keyman Keyboard Language by SIL Non-Roman Script
 Initiative (NRSI).
 
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
+
 The main purpose of the keyboards is to provide a wide range of keying options,
 so many characters can be entered in multiple ways. The features include:
 
Index: kmfl-sil-ipa-unicode/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ipa-unicode/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- kmfl-sil-ipa-unicode/Makefile	28 Mar 2010 06:44:27 -0000	1.5
+++ kmfl-sil-ipa-unicode/Makefile	18 May 2011 21:27:50 -0000
@@ -4,9 +4,9 @@
 #
 # $FreeBSD$
 
-PORTNAME=	scim-kmfl-sil-ipa-unicode5
+PORTNAME=	kmfl-sil-ipa-unicode
 PORTVERSION=	1.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	textproc
 MASTER_SITES=	http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=IPAUni_12_Src\&filename=/:1 \
 		http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=IPAUni_12.pdf\&filename=/:2
@@ -16,10 +16,9 @@
 EXTRACT_ONLY=	IPAUni_Src12.zip
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	IPA Unicode 5.1 mnemonic keyboard for KMFL IMEngine of SCIM
+COMMENT=	IPA Unicode 5.1 mnemonic keyboard for KMFL IMEngine
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 WRKSRC=		${WRKDIR}/IPA12
 USE_DOS2UNIX=	IPAUni12.kmn
@@ -28,20 +27,23 @@
 
 DOCSDIR_REL=	share/doc/kmfl/${PORTNAME}
 DOCSDIR=	${PREFIX}/${DOCSDIR_REL}
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
 SUB_FILES=	pkg-message
 PORTDOCS=	*
 DOCSLIST=	${WRKSRC}/welcome.htm \
 		${DISTDIR}/${DIST_SUBDIR}/IPA+Unicode+5.1_ver+1.2_KMN.pdf
-PLIST_FILES=	${SCIM_KMFL_DIR}/IPAUni12.kmn \
-		${SCIM_KMFL_ICONS_DIR}/ipa.bmp \
-		${SCIM_KMFL_ICONS_DIR}/sil.bmp
+PLIST_FILES=	${KMFL_DIR}/IPAUni12.kmn \
+		${KMFL_ICONS_DIR}/ipa.bmp \
+		${KMFL_ICONS_DIR}/sil.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
-	${INSTALL_DATA} ${WRKSRC}/*.bmp ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${KMFL_DIR}
+	${INSTALL_DATA} ${WRKSRC}/*.bmp ${LOCALBASE}/${KMFL_ICONS_DIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	for doc in ${DOCSLIST} ; do \
Index: kmfl-sil-ipa-unicode/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ipa-unicode/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- kmfl-sil-ipa-unicode/distinfo	16 Jul 2009 15:00:35 -0000	1.2
+++ kmfl-sil-ipa-unicode/distinfo	18 May 2011 12:53:32 -0000
@@ -1,6 +1,4 @@
-MD5 (kmfl/IPAUni_Src12.zip) = 68a280eda858cbb062581c760e68d362
 SHA256 (kmfl/IPAUni_Src12.zip) = e4ed6d9268c5877f800437a6d5e6f8ea664f469059c905ee4c3682a92511da69
 SIZE (kmfl/IPAUni_Src12.zip) = 123262
-MD5 (kmfl/IPA+Unicode+5.1_ver+1.2_KMN.pdf) = fdd096cbd0dfe39f819f8b62e53f96e6
 SHA256 (kmfl/IPA+Unicode+5.1_ver+1.2_KMN.pdf) = 778abed97671f7957c4e404b4f766ef636cffa7bd18195aa72d9883999ce28d6
 SIZE (kmfl/IPA+Unicode+5.1_ver+1.2_KMN.pdf) = 638769
Index: kmfl-sil-ipa-unicode/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ipa-unicode/pkg-descr,v
retrieving revision 1.2
diff -u -r1.2 pkg-descr
--- kmfl-sil-ipa-unicode/pkg-descr	16 Jul 2009 15:00:35 -0000	1.2
+++ kmfl-sil-ipa-unicode/pkg-descr	18 May 2011 12:53:32 -0000
@@ -1,8 +1,10 @@
 This is mnemonic keyboard that covers entire IPA (International
 Phonetic Alphabet) Unicode 5 range, written in Keyman keyboard
 language. The keyboard is developed by SIL Non-Roman Script Initiative
-(NRSI). This port installs the keyboard so that it can be used through
-SCIM KMFL IMEngine (textproc/scim-kmfl-imengine).
+(NRSI).
+
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
                          
 This keyboard is provided under SIL International X11-style License
 (http://scripts.sil.org/X11License).
Index: kmfl-sil-ipa-unicode/files/pkg-message.in
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-ipa-unicode/files/pkg-message.in,v
retrieving revision 1.2
diff -u -r1.2 pkg-message.in
--- kmfl-sil-ipa-unicode/files/pkg-message.in	16 Jul 2009 15:00:35 -0000	1.2
+++ kmfl-sil-ipa-unicode/files/pkg-message.in	18 May 2011 12:53:39 -0000
@@ -1,7 +1,7 @@
 
 ------------------------------------------------------------------------
   You should now have the new keyboard in section "Others" of your
-  SCIM menu. If you don't see it, restart X.
+  SCIM/IBus menu. If you don't see it, restart X.
 
   The PDF documentation for use of SIL IPA Unicode5 keyboard can be
   found in 
Index: kmfl-sil-panafrican-latin/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-panafrican-latin/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- kmfl-sil-panafrican-latin/Makefile	28 Mar 2010 06:44:28 -0000	1.3
+++ kmfl-sil-panafrican-latin/Makefile	18 May 2011 21:28:06 -0000
@@ -5,9 +5,9 @@
 # $FreeBSD$
 #
 
-PORTNAME=	scim-kmfl-sil-panafrican-latin
+PORTNAME=	kmfl-sil-panafrican-latin
 PORTVERSION=	20090831
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	textproc
 MASTER_SITES=	http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=AfricaKeyboardDead2009\&filename=/:1 \
 		http://scripts.sil.org/cms/scripts/render_download.php\?site_id=nrsi\&format=file\&media_id=AfricaKeyboardUS2009\&filename=/:2 \
@@ -16,10 +16,9 @@
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	SCIM KMFL IMEngine keyboard for African Latin writing systems
+COMMENT=	KMFL keyboard for African Latin writing systems
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 WRKSRC=		${WRKDIR}
 USE_DOS2UNIX=	PanAfricaMnemonic/AfricaDeadKey.kmn \
@@ -29,8 +28,8 @@
 
 DOCSDIR_REL=	share/doc/kmfl/${PORTNAME}
 DOCSDIR=	${PREFIX}/${DOCSDIR_REL}
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
 post-patch:
 		@${REINPLACE_CMD} -e 's|^BITMAP AFR|BITMAP AFR.bmp|' \
@@ -41,17 +40,20 @@
 DOCSLIST=	PanAfricaMnemonic/SIL\ Unicode\ Keyboard\ Chart\ for\ Africa\ using\ deadkeys.pdf \
 		PanAfricaUSlayout/SIL\ Unicode\ Keyboard\ Chart\ for\ Africa\ using\ shiftkeys.pdf
 
-PLIST_FILES=	${SCIM_KMFL_DIR}/AfricaDeadKey.kmn \
-		${SCIM_KMFL_DIR}/AfricaUS.kmn \
-		${SCIM_KMFL_ICONS_DIR}/AFR.bmp
+PLIST_FILES=	${KMFL_DIR}/AfricaDeadKey.kmn \
+		${KMFL_DIR}/AfricaUS.kmn \
+		${KMFL_ICONS_DIR}/AFR.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
 	${INSTALL_DATA} ${WRKSRC}/PanAfricaMnemonic/*.kmn \
-		${LOCALBASE}/${SCIM_KMFL_DIR}
+		${LOCALBASE}/${KMFL_DIR}
 	${INSTALL_DATA} ${WRKSRC}/PanAfricaUSlayout/*.kmn \
-		${LOCALBASE}/${SCIM_KMFL_DIR}
+		${LOCALBASE}/${KMFL_DIR}
 	${INSTALL_DATA} ${WRKSRC}/PanAfricaMnemonic/*.bmp \
-		${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+		${LOCALBASE}/${KMFL_ICONS_DIR}
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 	for doc in ${DOCSLIST} ; do \
@@ -62,7 +64,7 @@
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Others\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Others\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 .if !defined(NOPORTDOCS)
 	@${ECHO_MSG}
Index: kmfl-sil-panafrican-latin/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-panafrican-latin/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- kmfl-sil-panafrican-latin/distinfo	2 Sep 2009 17:24:41 -0000	1.1
+++ kmfl-sil-panafrican-latin/distinfo	18 May 2011 12:53:58 -0000
@@ -1,6 +1,4 @@
-MD5 (kmfl/AfricaKeyboardDead.zip) = 820822a611f9480a878d4f6322b749e7
 SHA256 (kmfl/AfricaKeyboardDead.zip) = b6dace0151891a249d9ee61307a7f95105be9445e91a8bb0b0f36f229ff5d6eb
 SIZE (kmfl/AfricaKeyboardDead.zip) = 386610
-MD5 (kmfl/AfricaKeyboardUS.zip) = 02917a406aa67b3065a097dc3e3a67c5
 SHA256 (kmfl/AfricaKeyboardUS.zip) = fea2fe19ada6a16b134ae85d7fd3fa8f9b71a26235b11a5bfbb941ffbd4e0507
 SIZE (kmfl/AfricaKeyboardUS.zip) = 399319
Index: kmfl-sil-panafrican-latin/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-panafrican-latin/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-sil-panafrican-latin/pkg-descr	2 Sep 2009 17:24:41 -0000	1.1
+++ kmfl-sil-panafrican-latin/pkg-descr	18 May 2011 12:53:58 -0000
@@ -6,8 +6,9 @@
 Non-Roman Script Initiative (NRSI). The software is distributed under the
 X11-style license (http://scripts.sil.org/X11License).
 
-This port installs the keyboards so that they can be used through SCIM KMFL
-IMEngine (textproc/scim-kmfl-imengine). Two layouts are provided:
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
+Two layouts are provided:
 
   * mnemonic layout for any keyboard (using deadkeys);
   * positional layout for US keyboard (using deadkeys and/or shift-states, i.e.
Index: kmfl-sil-yi/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-yi/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- kmfl-sil-yi/Makefile	28 Mar 2010 06:44:28 -0000	1.3
+++ kmfl-sil-yi/Makefile	18 May 2011 21:28:23 -0000
@@ -5,40 +5,42 @@
 # $FreeBSD$
 #
 
-PORTNAME=	scim-kmfl-sil-yi
+PORTNAME=	kmfl-sil-yi
 PORTVERSION=	20020903
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	textproc
 MASTER_SITES=	http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=SILYi12OFL_Src&filename=/ \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/kmfl/
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
 DISTNAME=	SILYiOFL1.2Src
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	SCIM KMFL IMEngine Unicode keyboard for standardized Yi script
+COMMENT=	KMFL Unicode keyboard for standardized Yi script
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 WRKSRC=		${WRKDIR}
 USE_DOS2UNIX=	SourceFiles/Yi7.kmn
 NO_BUILD=	yes
 USE_ZIP=	yes
 
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
-PLIST_FILES=	${SCIM_KMFL_DIR}/Yi7.kmn \
-		${SCIM_KMFL_ICONS_DIR}/YiPinYin.bmp
+PLIST_FILES=	${KMFL_DIR}/Yi7.kmn \
+		${KMFL_ICONS_DIR}/YiPinYin.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/SourceFiles/*.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
-	${INSTALL_DATA} ${WRKSRC}/SourceFiles/*.bmp ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/SourceFiles/*.kmn ${LOCALBASE}/${KMFL_DIR}
+	${INSTALL_DATA} ${WRKSRC}/SourceFiles/*.bmp ${LOCALBASE}/${KMFL_ICONS_DIR}
 
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Others\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Others\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 	@${ECHO_MSG}
 	@${ECHO_MSG} "  At the moment, this keyboard has no documentation."
Index: kmfl-sil-yi/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-yi/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- kmfl-sil-yi/distinfo	2 Sep 2009 17:25:46 -0000	1.1
+++ kmfl-sil-yi/distinfo	18 May 2011 12:54:12 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/SILYiOFL1.2Src.zip) = 9565edac15ec019b935d7a8e0a841968
 SHA256 (kmfl/SILYiOFL1.2Src.zip) = 7733011014f3a4ad77456d668db318d78f19ca03613dd6857cf80cf3a0ef3245
 SIZE (kmfl/SILYiOFL1.2Src.zip) = 2627553
Index: kmfl-sil-yi/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-sil-yi/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-sil-yi/pkg-descr	2 Sep 2009 17:25:46 -0000	1.1
+++ kmfl-sil-yi/pkg-descr	18 May 2011 12:54:12 -0000
@@ -2,6 +2,9 @@
 China with Unicode Yi fonts. It is written in Keyman keyboard language and
 developed by SIL Non-Roman Script Initiative (NRSI).
 
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
+
 To keyboard a Yi syllable, you should type the Pinyin romanization for that
 syllable, followed by a space. For keyboarding punctuation, use the usual
 punctuation keystrokes.
Index: kmfl-varamozhi-malayalam/Makefile
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-varamozhi-malayalam/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- kmfl-varamozhi-malayalam/Makefile	28 Mar 2010 06:44:28 -0000	1.4
+++ kmfl-varamozhi-malayalam/Makefile	18 May 2011 21:28:42 -0000
@@ -5,39 +5,41 @@
 # $FreeBSD$
 #
 
-PORTNAME=	scim-kmfl-varamozhi-malayalam
+PORTNAME=	kmfl-varamozhi-malayalam
 PORTVERSION=	1.1.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	textproc
 MASTER_SITES=	SF/varamozhi/2%20Mozhi%20Keyman%20-%20Input%20Method/${PORTVERSION} \
-		http://anthesphoria.net/FreeBSD/ports/distfiles/kmfl/
+		http://anthesphoria.net/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
 DISTNAME=	mozhi_${PORTVERSION}
 DIST_SUBDIR=	kmfl
 
 MAINTAINER=	nikola.lecic@anthesphoria.net
-COMMENT=	SCIM KMFL IMEngine Malayalam keyboard according to the Mozhi scheme
+COMMENT=	KMFL Malayalam keyboard according to the Mozhi scheme
 
-RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp \
- 		${LOCALBASE}/lib/scim-1.0/1.4.0/IMEngine/kmfl.so:${PORTSDIR}/textproc/scim-kmfl-imengine
+RUN_DEPENDS=	kmflcomp:${PORTSDIR}/textproc/kmflcomp
 
 USE_DOS2UNIX=	mozhi_1.1.0.kmn
 NO_BUILD=	yes
 USE_ZIP=	yes
 
-SCIM_KMFL_DIR=	share/scim/kmfl
-SCIM_KMFL_ICONS_DIR=	share/scim/kmfl/icons
+KMFL_DIR=	share/kmfl
+KMFL_ICONS_DIR=	share/kmfl/icons
 
-PLIST_FILES=	${SCIM_KMFL_DIR}/mozhi_1.1.0.kmn \
-		${SCIM_KMFL_ICONS_DIR}/mozhi.bmp
+PLIST_FILES=	${KMFL_DIR}/mozhi_1.1.0.kmn \
+		${KMFL_ICONS_DIR}/mozhi.bmp
+PLIST_DIRSTRY=	${KMFL_ICONS_DIR} \
+		${KMFL_DIR}
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${SCIM_KMFL_DIR}
-	${INSTALL_DATA} ${WRKSRC}/*.bmp ${LOCALBASE}/${SCIM_KMFL_ICONS_DIR}
+	${MKDIR} ${LOCALBASE}/${KMFL_DIR} ${LOCALBASE}/${KMFL_ICONS_DIR}
+	${INSTALL_DATA} ${WRKSRC}/*.kmn ${LOCALBASE}/${KMFL_DIR}
+	${INSTALL_DATA} ${WRKSRC}/*.bmp ${LOCALBASE}/${KMFL_ICONS_DIR}
 
 post-install:
 	@${ECHO_MSG} "--------------------------------------------------------"
 	@${ECHO_MSG} "  You should now have the new keyboard in the section"
-	@${ECHO_MSG} "  \"Malayalam\" in your SCIM menu. If you don't see it,"
+	@${ECHO_MSG} "  \"Malayalam\" in your SCIM/IBus menu. If you don't see it,"
 	@${ECHO_MSG} "  restart X."
 	@${ECHO_MSG}
 	@${ECHO_MSG} "  At the moment, this keyboard has no downloadable"
Index: kmfl-varamozhi-malayalam/distinfo
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-varamozhi-malayalam/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- kmfl-varamozhi-malayalam/distinfo	21 Oct 2009 09:15:39 -0000	1.1
+++ kmfl-varamozhi-malayalam/distinfo	18 May 2011 12:54:29 -0000
@@ -1,3 +1,2 @@
-MD5 (kmfl/mozhi_1.1.1.zip) = 69eb4fd5405c5fbed69bc401a48bef67
 SHA256 (kmfl/mozhi_1.1.1.zip) = b1d584c60ecde1c2c40ca96945bf062be5d32d52249570328cd112f9f29037f1
 SIZE (kmfl/mozhi_1.1.1.zip) = 208053
Index: kmfl-varamozhi-malayalam/pkg-descr
===================================================================
RCS file: /home/ncvs/ports/textproc/kmfl-varamozhi-malayalam/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- kmfl-varamozhi-malayalam/pkg-descr	21 Oct 2009 09:15:39 -0000	1.1
+++ kmfl-varamozhi-malayalam/pkg-descr	18 May 2011 12:54:29 -0000
@@ -11,7 +11,7 @@
 special encoding). It offers mnemonic keyboard functionality and smart-quote
 functionality with comas and numerals.
 
-This port installs the keyboard so that it can be used through SCIM KMFL
-IMEngine (textproc/scim-kmfl-imengine).
+This port installs the keyboard so that it can be used through SCIM or
+IBus KMFL IMEngine (textproc/scim-kmfl-imengine, textproc/ibus-kmfl).
 
 WWW: http://varamozhi.sourceforge.net/

--- kmfl-shared.repo-20110518.patch ends here ---

Thanks!
-- 
Nikola Lecic
fingerprint : FEF3 66AF C90E EDC3 D878  7CDC 956D F4AB A377 1C9B
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2011-05-19 01:19:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

wxs said he wouldn't mind taking a look at this.
Comment 3 dfilter service freebsd_committer 2011-05-29 14:28:39 UTC
wxs         2011-05-29 13:28:25 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING MOVED 
    textproc/ibus-kmfl   Makefile distinfo pkg-descr pkg-plist 
    textproc/scim-kmfl-imengine Makefile distinfo pkg-descr 
                                pkg-plist 
    textproc/scim-kmfl-imengine/files pkg-message.in 
    textproc/libkmfl     Makefile pkg-descr 
    textproc/kmflcomp    Makefile distinfo 
    textproc/kmflcomp/files pkg-message.in 
    textproc/kmfl-european-latin Makefile distinfo pkg-descr 
    textproc/kmfl-sil-ezra Makefile distinfo pkg-descr 
    textproc/kmfl-sil-galatia Makefile distinfo pkg-descr 
    textproc/kmfl-sil-ipa-unicode Makefile distinfo pkg-descr 
    textproc/kmfl-sil-ipa-unicode/files pkg-message.in 
    textproc/kmfl-sil-panafrican-latin Makefile distinfo pkg-descr 
    textproc/kmfl-sil-yi Makefile distinfo pkg-descr 
    textproc/kmfl-varamozhi-malayalam Makefile distinfo pkg-descr 
  Removed files:
    textproc/scim-kmfl-european-latin Makefile distinfo pkg-descr 
    textproc/scim-kmfl-european-latin/files patch-european.kmn 
    textproc/scim-kmfl-sil-ezra Makefile distinfo pkg-descr 
    textproc/scim-kmfl-sil-ezra/files patch-Keyman::EZRAUNI24.KMN 
    textproc/scim-kmfl-sil-galatia Makefile distinfo pkg-descr 
    textproc/scim-kmfl-sil-galatia/files patch-GrkPolyComp.KMN 
    textproc/scim-kmfl-sil-ipa-unicode5 Makefile distinfo 
                                        pkg-descr 
    textproc/scim-kmfl-sil-ipa-unicode5/files patch-IPAUni12.kmn 
                                              pkg-message.in 
    textproc/scim-kmfl-sil-panafrican-latin Makefile distinfo 
                                            pkg-descr 
    textproc/scim-kmfl-sil-yi Makefile distinfo pkg-descr 
    textproc/scim-kmfl-sil-yi/files patch-SourceFiles::Yi7.kmn 
    textproc/scim-kmfl-varamozhi-malayalam Makefile distinfo 
                                           pkg-descr 
    textproc/scim-kmfl-varamozhi-malayalam/files 
                                                 patch-mozhi_1.1.0.kmn 
  Log:
  - Patch SCIM KMFL engine (textproc/scim-kmfl-imengine) to use
    the same neutral keyboard repository as textproc/ibus-kmfl does,
    ${LOCALBASE}/share/kmfl/. This approach is similar to m17n (its
    keyboard databases, devel/m17n-db and textproc/m17n-contrib, are
    shared between textproc/scim-m17n and textproc/ibus-m17n). This
    patch also makes both these KMFL engine ports to read ~/.kmfl/
    instead of SCIM-oriented ~/.scim/kmfl/.
    There is UPDATING text that informs KMFL users about this.
  
  - Patch keyboard ports (7 of them) to install data to the new
    repository, ${LOCALBASE}/share/kmfl/; the keyboard ports were
    SCIM-only and used to install to ${LOCALBASE}/share/scim/kmfl/.
  
  - Adapt descriptions in other KMFL ports (textproc/kmflcomp,
    textproc/libkmfl);
  
  - While we are here, do some additional maintenance.
  
  - Remove the 7 old ports.
  
  - Please see the PR for full details.
  
  PR:             ports/156694
  Submitted by:   Nikola Lecic <nikola.lecic@anthesphoria.net> (maintainer)
  
  Revision  Changes    Path
  1.2465    +8 -1      ports/MOVED
  1.1068    +13 -1     ports/UPDATING
  1.3       +7 -2      ports/textproc/ibus-kmfl/Makefile
  1.3       +0 -1      ports/textproc/ibus-kmfl/distinfo
  1.2       +1 -0      ports/textproc/ibus-kmfl/pkg-descr
  1.2       +3 -3      ports/textproc/ibus-kmfl/pkg-plist
  1.6       +17 -15    ports/textproc/kmfl-european-latin/Makefile
  1.3       +0 -1      ports/textproc/kmfl-european-latin/distinfo
  1.2       +2 -2      ports/textproc/kmfl-european-latin/pkg-descr
  1.5       +16 -14    ports/textproc/kmfl-sil-ezra/Makefile
  1.2       +0 -2      ports/textproc/kmfl-sil-ezra/distinfo
  1.2       +2 -2      ports/textproc/kmfl-sil-ezra/pkg-descr
  1.5       +14 -12    ports/textproc/kmfl-sil-galatia/Makefile
  1.2       +0 -1      ports/textproc/kmfl-sil-galatia/distinfo
  1.2       +3 -0      ports/textproc/kmfl-sil-galatia/pkg-descr
  1.6       +14 -12    ports/textproc/kmfl-sil-ipa-unicode/Makefile
  1.3       +0 -2      ports/textproc/kmfl-sil-ipa-unicode/distinfo
  1.3       +1 -1      ports/textproc/kmfl-sil-ipa-unicode/files/pkg-message.in
  1.3       +4 -2      ports/textproc/kmfl-sil-ipa-unicode/pkg-descr
  1.4       +16 -14    ports/textproc/kmfl-sil-panafrican-latin/Makefile
  1.2       +0 -2      ports/textproc/kmfl-sil-panafrican-latin/distinfo
  1.2       +3 -2      ports/textproc/kmfl-sil-panafrican-latin/pkg-descr
  1.4       +15 -13    ports/textproc/kmfl-sil-yi/Makefile
  1.2       +0 -1      ports/textproc/kmfl-sil-yi/distinfo
  1.2       +3 -0      ports/textproc/kmfl-sil-yi/pkg-descr
  1.5       +15 -13    ports/textproc/kmfl-varamozhi-malayalam/Makefile
  1.2       +0 -1      ports/textproc/kmfl-varamozhi-malayalam/distinfo
  1.2       +2 -2      ports/textproc/kmfl-varamozhi-malayalam/pkg-descr
  1.9       +9 -7      ports/textproc/kmflcomp/Makefile
  1.4       +0 -2      ports/textproc/kmflcomp/distinfo
  1.2       +3 -2      ports/textproc/kmflcomp/files/pkg-message.in
  1.10      +7 -5      ports/textproc/libkmfl/Makefile
  1.2       +6 -4      ports/textproc/libkmfl/pkg-descr
  1.6       +0 -64     ports/textproc/scim-kmfl-european-latin/Makefile (dead)
  1.3       +0 -3      ports/textproc/scim-kmfl-european-latin/distinfo (dead)
  1.3       +0 -30     ports/textproc/scim-kmfl-european-latin/files/patch-european.kmn (dead)
  1.2       +0 -21     ports/textproc/scim-kmfl-european-latin/pkg-descr (dead)
  1.16      +19 -4     ports/textproc/scim-kmfl-imengine/Makefile
  1.4       +2 -3      ports/textproc/scim-kmfl-imengine/distinfo
  1.2       +1 -1      ports/textproc/scim-kmfl-imengine/files/pkg-message.in
  1.2       +1 -1      ports/textproc/scim-kmfl-imengine/pkg-descr
  1.2       +1 -0      ports/textproc/scim-kmfl-imengine/pkg-plist
  1.5       +0 -71     ports/textproc/scim-kmfl-sil-ezra/Makefile (dead)
  1.2       +0 -6      ports/textproc/scim-kmfl-sil-ezra/distinfo (dead)
  1.3       +0 -14     ports/textproc/scim-kmfl-sil-ezra/files/patch-Keyman::EZRAUNI24.KMN (dead)
  1.2       +0 -11     ports/textproc/scim-kmfl-sil-ezra/pkg-descr (dead)
  1.5       +0 -63     ports/textproc/scim-kmfl-sil-galatia/Makefile (dead)
  1.2       +0 -3      ports/textproc/scim-kmfl-sil-galatia/distinfo (dead)
  1.3       +0 -43     ports/textproc/scim-kmfl-sil-galatia/files/patch-GrkPolyComp.KMN (dead)
  1.2       +0 -15     ports/textproc/scim-kmfl-sil-galatia/pkg-descr (dead)
  1.6       +0 -55     ports/textproc/scim-kmfl-sil-ipa-unicode5/Makefile (dead)
  1.3       +0 -6      ports/textproc/scim-kmfl-sil-ipa-unicode5/distinfo (dead)
  1.2       +0 -17     ports/textproc/scim-kmfl-sil-ipa-unicode5/files/patch-IPAUni12.kmn (dead)
  1.3       +0 -10     ports/textproc/scim-kmfl-sil-ipa-unicode5/files/pkg-message.in (dead)
  1.3       +0 -10     ports/textproc/scim-kmfl-sil-ipa-unicode5/pkg-descr (dead)
  1.4       +0 -74     ports/textproc/scim-kmfl-sil-panafrican-latin/Makefile (dead)
  1.2       +0 -6      ports/textproc/scim-kmfl-sil-panafrican-latin/distinfo (dead)
  1.2       +0 -16     ports/textproc/scim-kmfl-sil-panafrican-latin/pkg-descr (dead)
  1.4       +0 -50     ports/textproc/scim-kmfl-sil-yi/Makefile (dead)
  1.2       +0 -3      ports/textproc/scim-kmfl-sil-yi/distinfo (dead)
  1.2       +0 -17     ports/textproc/scim-kmfl-sil-yi/files/patch-SourceFiles::Yi7.kmn (dead)
  1.2       +0 -13     ports/textproc/scim-kmfl-sil-yi/pkg-descr (dead)
  1.5       +0 -49     ports/textproc/scim-kmfl-varamozhi-malayalam/Makefile (dead)
  1.2       +0 -3      ports/textproc/scim-kmfl-varamozhi-malayalam/distinfo (dead)
  1.2       +0 -24     ports/textproc/scim-kmfl-varamozhi-malayalam/files/patch-mozhi_1.1.0.kmn (dead)
  1.2       +0 -17     ports/textproc/scim-kmfl-varamozhi-malayalam/pkg-descr (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wesley Shields freebsd_committer 2011-05-29 14:28:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!